This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 649790 - Invalid cast encountered when trying to get heap info out of firefox
Invalid cast encountered when trying to get heap info out of firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb-heap (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 11:11 EDT by William Cohen
Modified: 2012-08-16 14:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2010-11-04 11:11:54 EDT
Description of problem:

When trying gdb-heap on firefox, got an invalid cast exception.

Version-Release number of selected component (if applicable):

firefox-3.6.12-1.fc14.x86_64
gdb-7.2-23.fc14.x86_64
gdb-heap-0.5-2.fc14.x86_64


How reproducible:

Every time


Steps to Reproduce:
1. Start up firefox, note the pid of the/usr/,lib64/firefox-3.6/firefox
2. Start up gdb with and attach to the appropriate process:
    PYTHONPATH=/usr/share/gdb-heap gdb
    python import heap
    attach 2057 # this will need to be pid for /usr/lib64/firefox-3.6/firefox
3. Attempt to print out heap info with:
   heap
  
Actual results:

Traceback (most recent call last):
  File "/usr/share/gdb-heap/heap/commands.py", line 34, in g
    return f(self, args, from_tty)
  File "/usr/share/gdb-heap/heap/commands.py", line 56, in invoke
    usage_list = list(iter_usage_with_progress())
  File "/usr/share/gdb-heap/heap/__init__.py", line 526, in next
    return self.inner.next()
  File "/usr/share/gdb-heap/heap/__init__.py", line 550, in iter_usage
    for chunk in ms.iter_sbrk_chunks():
  File "/usr/share/gdb-heap/heap/glibc.py", line 239, in iter_sbrk_chunks
    if chunk.as_address() > 0:
  File "/usr/share/gdb-heap/heap/__init__.py", line 125, in as_address
    return long(self._gdbval.cast(type_void_ptr))
RuntimeError: Invalid cast.
Error occurred in Python command: Invalid cast.

Expected results:

Information about the various heap allocations that firefox is using.

Additional info:
Comment 1 Dave Malcolm 2010-11-04 19:34:53 EDT
What version of glibc and glibc-debuginfo was this with?
Comment 2 William Cohen 2010-11-05 09:36:24 EDT
glibc-2.12.90-18.x86_64
glibc-debuginfo-2.12.90-18.x86_64
Comment 3 Fedora End Of Life 2012-08-16 14:02:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.